com.io7m.r2.core

## Class R2RenderTargetDescriptions

- java.lang.Object
- - com.io7m.r2.core.R2RenderTargetDescriptions

-     public final class R2RenderTargetDescriptions
      extends Object

  Functions over render target descriptions.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends R2RenderTargetDescriptionType> T` | `scale(T a, BiFunction<T,com.io7m.jareas.core.AreaInclusiveUnsignedLType,T> constructor, double scale)` Scale the given render target description by `scale`.
    `static com.io7m.jareas.core.AreaInclusiveUnsignedLType` | `scaleAreaInclusive(com.io7m.jareas.core.AreaInclusiveUnsignedLType ao, double scale)` Scale the given inclusive area by the given scale value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### scale

          public static <T extends R2RenderTargetDescriptionType> T scale(T a,
                                                                          BiFunction<T,com.io7m.jareas.core.AreaInclusiveUnsignedLType,T> constructor,
                                                                          double scale)

      Scale the given render target description by `scale`. The resulting description area will have the same lower corner - only the upper corner is scaled.
      Type Parameters:
        `T` - The precise type of render target description
      Parameters:
        `a` - A description
        `constructor` - A function that yields a new render target description, giving an existing description and an inclusive area
        `scale` - The scale value
      Returns:
        A new description

    - #### scaleAreaInclusive

          public static com.io7m.jareas.core.AreaInclusiveUnsignedLType scaleAreaInclusive(com.io7m.jareas.core.AreaInclusiveUnsignedLType ao,
                                                                                           double scale)

      Scale the given inclusive area by the given scale value.
      Parameters:
        `ao` - The inclusive area
        `scale` - The scale value
      Returns:
        A scaled area

Copyright © 2016 <code@io7m.com> http://io7m.com